$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-loader'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-17.31.7-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-17.31.7-BETA.msi'
  softwareName = 'Invantive Data Loader'
  checksum = 'ECF1E86C0694558064C319D228A560DFEA667AA85850E1797E3A64E41432C05F'
  checksumType = 'sha256'
  checksum64 = 'ECF1E86C0694558064C319D228A560DFEA667AA85850E1797E3A64E41432C05F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-loader-17.31.7-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
